Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class LastUsedFile

    java.lang.Object
      org.pentaho.di.core.LastUsedFile

    public class LastUsedFile

extends Object

Field Summary
`static String` | `FILE_TYPE_JOB`
`static String` | `FILE_TYPE_SCHEMA`
`static String` | `FILE_TYPE_TRANSFORMATION`
`static int` | `OPENED_ITEM_TYPE_MASK_GRAPH`
`static int` | `OPENED_ITEM_TYPE_MASK_HISTORY`
`static int` | `OPENED_ITEM_TYPE_MASK_LOG`
`static int` | `OPENED_ITEM_TYPE_MASK_NONE`

Constructor Summary
`LastUsedFile(String fileType, String filename, String directory, boolean sourceRepository, String repositoryName, boolean opened, int openItemTypes)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getDirectory()`
`String` | `getFilename()`
`String` | `getFileType()`
`int` | `getOpenItemTypes()`
`String` | `getRepositoryName()`
`int` | `hashCode()`
`boolean` | `isJob()`
`boolean` | `isOpened()`
`boolean` | `isSchema()`
`boolean` | `isSourceRepository()`
`boolean` | `isTransformation()`
`void` | `setDirectory(String directory)`
`void` | `setFilename(String filename)`
`void` | `setFileType(String fileType)`
`void` | `setOpened(boolean opened)`
`void` | `setOpenItemTypes(int openItemTypes)`
`void` | `setRepositoryName(String repositoryName)`
`void` | `setSourceRepository(boolean sourceRepository)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE_TYPE_TRANSFORMATION

    public static final String FILE_TYPE_TRANSFORMATION

See Also:
  Constant Field Values

### FILE_TYPE_JOB

    public static final String FILE_TYPE_JOB

See Also:
  Constant Field Values

### FILE_TYPE_SCHEMA

    public static final String FILE_TYPE_SCHEMA

See Also:
  Constant Field Values

### OPENED_ITEM_TYPE_MASK_NONE

    public static final int OPENED_ITEM_TYPE_MASK_NONE

See Also:
  Constant Field Values

### OPENED_ITEM_TYPE_MASK_GRAPH

    public static final int OPENED_ITEM_TYPE_MASK_GRAPH

See Also:
  Constant Field Values

### OPENED_ITEM_TYPE_MASK_LOG

    public static final int OPENED_ITEM_TYPE_MASK_LOG

See Also:
  Constant Field Values

### OPENED_ITEM_TYPE_MASK_HISTORY

    public static final int OPENED_ITEM_TYPE_MASK_HISTORY

See Also:
  Constant Field Values

Constructor Detail

### LastUsedFile

    public LastUsedFile(String fileType,
                        String filename,
                        String directory,
                        boolean sourceRepository,
                        String repositoryName,
                        boolean opened,
                        int openItemTypes)

Parameters:
  `fileType` - The type of file to use (FILE_TYPE_TRANSFORMATION, FILE_TYPE_JOB, ...)
  `filename` -
  `directory` -
  `sourceRepository` -
  `repositoryName` -
  `opened` -
  `openItemTypes` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getDirectory

    public String getDirectory()

  Returns:
    the directory

### setDirectory

    public void setDirectory(String directory)

  Parameters:
    `directory` - the directory to set

### getFilename

    public String getFilename()

  Returns:
    the filename

### setFilename

    public void setFilename(String filename)

  Parameters:
    `filename` - the filename to set

### getRepositoryName

    public String getRepositoryName()

  Returns:
    the repositoryName

### setRepositoryName

    public void setRepositoryName(String repositoryName)

  Parameters:
    `repositoryName` - the repositoryName to set

### isSourceRepository

    public boolean isSourceRepository()

  Returns:
    the sourceRepository

### setSourceRepository

    public void setSourceRepository(boolean sourceRepository)

  Parameters:
    `sourceRepository` - the sourceRepository to set

### getFileType

    public String getFileType()

  Returns:
    the fileType

### setFileType

    public void setFileType(String fileType)

  Parameters:
    `fileType` - the fileType to set

### isTransformation

    public boolean isTransformation()

### isJob

    public boolean isJob()

### isSchema

    public boolean isSchema()

### isOpened

    public boolean isOpened()

  Returns:
    the opened

### setOpened

    public void setOpened(boolean opened)

  Parameters:
    `opened` - the opened to set

### getOpenItemTypes

    public int getOpenItemTypes()

  Returns:
    the openItemTypes

### setOpenItemTypes

    public void setOpenItemTypes(int openItemTypes)

  Parameters:
    `openItemTypes` - the openItemTypes to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD